Bug 730879 - Dialog too wide (The storage device below may contain data)
Summary: Dialog too wide (The storage device below may contain data)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-16 05:41 UTC by Milan Kerslager
Modified: 2014-09-30 23:40 UTC (History)
6 users (show)

Fixed In Version: anaconda-16.15-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 02:48:15 UTC


Attachments (Terms of Use)
Too wide czech dialog (50.88 KB, image/png)
2011-08-16 07:36 UTC, Milan Kerslager
no flags Details
English equivalent works as expected (81.57 KB, image/png)
2011-08-16 07:37 UTC, Milan Kerslager
no flags Details

Description Milan Kerslager 2011-08-16 05:41:32 UTC
When installing on empty drive, the too wide dialog appears (to inform user that there are no partitions). The subwindow is only partially visible.

This happened when Czech language is picked up. English language does not have the problem. I tried netinstall ISO with VirtualBox.

The problem persist in 16-Alpha.RC4 (was present in previous Alphas too).

Comment 1 Ales Kozumplik 2011-08-16 06:11:12 UTC
hi,

can you post a screenshot of the problem you see please?

Thanks.

Comment 2 Milan Kerslager 2011-08-16 07:21:55 UTC
Yes, I'll try.

The reproduction is easy: In VirtualBox (or another virtualization tool) create new system on new virtual disc. Then boot from netinst ISO (or whole DVD), select Czech language and see third or fourth screen in GUI Anaconda install setup.

Or install to bare metal and clean partition table before installation by:

dd if=/dev/zero of=/dev/sda bs=512 count=1

Comment 3 Milan Kerslager 2011-08-16 07:36:16 UTC
Created attachment 518414 [details]
Too wide czech dialog

When a disc in the system has no partition table, reinitialization is requested (ie empty partition table creation).

Comment 4 Milan Kerslager 2011-08-16 07:37:32 UTC
Created attachment 518415 [details]
English equivalent works as expected

The same English dialog window works as expected. Text strings are wrapped.

Comment 5 Ales Kozumplik 2011-08-16 15:13:00 UTC
The Czech translation reveals a problem with a label in that dialog box: the label's text contains hard newlines instead of being set to wrap depending on the widget's size. I will push a patch that removes the newlines and makes the text more localization-friendly.

Patch posted: https://www.redhat.com/archives/anaconda-devel-list/2011-August/msg00227.html

Comment 6 Ales Kozumplik 2011-08-18 08:04:26 UTC
Fixed by f8e61724a62e1ef431bdcba5ffb3c073bd2f15f0. Will not make f16 alpha.

Comment 7 alfha_6 2011-11-23 23:32:06 UTC
I am having that exact same issue when selecting English language, but i don t get the last 2 comments someone is already working on the patch to fix this?

Comment 8 Fedora End Of Life 2013-01-17 01:30:28 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Fedora End Of Life 2013-02-14 02:48:19 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.